diff -up gtk+-1.2.10/gtk-config.in.multilib gtk+-1.2.10/gtk-config.in
--- gtk+-1.2.10/gtk-config.in.multilib	2000-10-21 20:20:40.000000000 +0200
+++ gtk+-1.2.10/gtk-config.in	2008-10-02 09:52:59.000000000 +0200
@@ -1,12 +1,16 @@
 #!/bin/sh
 
-glib_libs="@glib_libs@"
-glib_cflags="@glib_cflags@"
-glib_thread_libs="@glib_thread_libs@"
-glib_thread_cflags="@glib_thread_cflags@"
+[ -z "$PKG_CONFIG" ] && PKG_CONFIG="pkg-config"
 
-prefix=@prefix@
-exec_prefix=@exec_prefix@
+glib_libs=`${PKG_CONFIG} --libs glib gmodule`
+glib_cflags=`${PKG_CONFIG} --cflags glib gmodule`
+glib_thread_libs=`${PKG_CONFIG} --libs gthread`
+glib_thread_cflags=`${PKG_CONFIG} --cflags gthread`
+
+prefix=`${PKG_CONFIG} --variable prefix gtk+`
+exec_prefix=`${PKG_CONFIG} --variable exec_prefix gtk+`
+libdir=`${PKG_CONFIG} --variable libdir gtk+`
+includedir=`${PKG_CONFIG} --variable includedir gtk+`
 exec_prefix_set=no
 
 usage()
@@ -91,14 +95,14 @@ if test "$lib_gthread" = "yes"; then
 fi
 
 if test "$echo_cflags" = "yes"; then
-      echo -I@includedir@/gtk-1.2 $glib_cflags @x_cflags@ 
+      echo -I${includedir}/gtk-1.2 $glib_cflags @x_cflags@ 
 fi
 
 if test "$echo_libs" = "yes"; then
       my_glib_libs=
-      libdirs=-L@libdir@
+      libdirs=-L${libdir}
       for i in $glib_libs ; do
-        if test $i != -L@libdir@ ; then
+        if test $i != -L${libdir} ; then
           if test -z "$my_glib_libs" ; then
             my_glib_libs="$i"
           else
@@ -107,6 +111,6 @@ if test "$echo_libs" = "yes"; then
         fi
       done
 
-      echo $libdirs @x_ldflags@ -lgtk -lgdk $my_glib_libs @INTLLIBS@ @x_libs@ @GDK_WLIBS@ -lm
+      echo $libdirs -lgtk -lgdk $my_glib_libs @INTLLIBS@ @x_libs@ @GDK_WLIBS@ -lm
 fi      
 
